# Module `RichInput`

Druid Rich Input custom component.

It's wrapper on Input component with cursor and placeholder text

## Functions

init(self, template, nodes) | Component init function
set_placeholder(self, placeholder_text) | Set placeholder text

## Fields

cursor | On input field text change to empty string callback(self, input_text)
druid | The component druid instance
input | On input field text change callback(self, input_text)
placeholder | On input field text change to max length string callback(self, input_text)

## Functions

init(self, template, nodes)
  Component init function

  ### Parameters:

  - self RichInput RichInput
  - template string The template string name
  - nodes table Nodes table from gui.clone_tree
set_placeholder(self, placeholder_text)
  Set placeholder text

  ### Parameters:

  - self RichInput RichInput
  - placeholder_text string The placeholder text

## Fields

cursor
  On input field text change to empty string callback(self, input_text)
  - cursor node
druid
  The component druid instance
  - druid DruidInstance DruidInstance
input
  On input field text change callback(self, input_text)
  - input Input Input
placeholder
  On input field text change to max length string callback(self, input_text)
  - placeholder druid.text Text

generated by LDoc TESTING Last updated 2015-01-01 12:00:00